Loading...
Searching...
No Matches
ssh_cipher_struct Struct Reference
Collaboration diagram for ssh_cipher_struct:
[legend]

## Data Fields

const char * | name
unsigned int | blocksize
enum ssh_cipher_e | ciphertype
uint32_t | lenfield_blocksize
size_t | keylen
struct chacha20_poly1305_keysched * | chacha20_schedule
unsigned int | keysize
size_t | tag_size
uint32_t | packets
uint64_t | blocks
uint64_t | max_blocks
int(* | set_encrypt_key )(struct ssh_cipher_struct *cipher, void *key, void *IV)
int(* | set_decrypt_key )(struct ssh_cipher_struct *cipher, void *key, void *IV)
void(* | encrypt )(struct ssh_cipher_struct *cipher, void *in, void *out, size_t len)
void(* | decrypt )(struct ssh_cipher_struct *cipher, void *in, void *out, size_t len)
void(* | aead_encrypt )(struct ssh_cipher_struct *cipher, void *in, void *out, size_t len, uint8_t *mac, uint64_t seq)
int(* | aead_decrypt_length )(struct ssh_cipher_struct *cipher, void *in, uint8_t *out, size_t len, uint64_t seq)
int(* | aead_decrypt )(struct ssh_cipher_struct *cipher, void *complete_packet, uint8_t *out, size_t encrypted_size, uint64_t seq)
void(* | cleanup )(struct ssh_cipher_struct *cipher)

The documentation for this struct was generated from the following file:

- crypto.h